net.sourceforge.jnlp

## Class PropertyDesc

- java.lang.Object
- - net.sourceforge.jnlp.PropertyDesc

-     public class PropertyDesc
      extends java.lang.Object

  The property element.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PropertyDesc(java.lang.String key, java.lang.String value)` Creates a property descriptor.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static PropertyDesc` | `fromString(java.lang.String prop)`
    `java.lang.String` | `getKey()`
    `java.lang.String` | `getValue()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PropertyDesc

          public PropertyDesc(java.lang.String key,
                              java.lang.String value)

      Creates a property descriptor.
      Parameters:
        `key` - the key name
        `value` - the value

  - ### Method Detail

    - #### fromString

          public static PropertyDesc fromString(java.lang.String prop)
                                         throws LaunchException

      Parameters:
        `prop` - - the property to be parsed from format key=value
      Returns:
        new PropertyDesc based on parsed key=value, though composed from key and value
      Throws:
        `LaunchException` - if creations fails

    - #### getKey

          public java.lang.String getKey()

      Returns:
        the property's key

    - #### getValue

          public java.lang.String getValue()

      Returns:
        the property's value

Submit a bug or feature